Subject: Re: [PATCH 0/2] [RFT] git-svn: more efficient revision -> commit mapping

From: Harvey Harrison <[email-masked]>
Date: Sun, 09 Dec 2007 17:04:06 -0800

On Sun, 2007-12-09 at 12:56 -0800, Harvey Harrison wrote:
> On Sat, 2007-12-08 at 23:27 -0800, Eric Wong wrote:
> > This is very lightly tested, but describes the format I described in:
> > 
> >   http://article.gmane.org/gmane.comp.version-control.git/67126
> > 
> >   (more in the commit messages)
> > 
> > I'll be out of town the next few days and I'm not sure how much I'll be
> > able to follow up on it while I'm gone.  Please test, especially if
> > you're dealing with a repository where large .rev_db files are a
> > problem.
> > 
> > Junio: not intended for master just yet, but if you hear nothing but
> > good things about it, feel free :)
> Preliminary tests against the gcc repo are going swimmingly.
> 
> Successful git svn rebase against trunk, doing a full git svn fetch
> now to build rev_maps for all svn branches/tags.  At halfway through
> space has decreased from ~2GB to 17MB for about half of the needed
> metadata.
> 

Eric,

I'm very happy with these patches.  For the gcc repo, git-svn metadata
has gone from over 5GB to 33MB.  git-svn fetch/rebase are working fine,
will shout if I see any odd behavior.

Harvey